USN-4783-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4783-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4783-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4783-1
Related
Published
2021-03-15T20:59:21.309907Z
Modified
2021-03-15T20:59:21.309907Z
Summary
node-minimatch vulnerability
Details

It was discovered that minimatch did not perform necessary bounds checking on regular expressions. An attacker could use this vulnerability to cause a denial of service.

References

Affected packages

Ubuntu:Pro:14.04:LTS / node-minimatch

Package

Name
node-minimatch

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.2.12-1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "node-minimatch": "0.2.12-1ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / node-minimatch

Package

Name
node-minimatch

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.0-1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "node-minimatch": "1.0.0-1ubuntu0.1~esm2"
        }
    ]
}